# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sdk-4mica"
version = "1.2.0"
authors = ["4Mica Network <cto@4mica.xyz>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Official Rust SDK for interacting with the 4Mica payment network."
homepage = "https://4mica.xyz"
readme = "README.md"
keywords = [
    "4mica",
    "payments",
    "blockchain",
    "sdk",
    "ethereum",
]
categories = [
    "api-bindings",
    "cryptography::cryptocurrencies",
]
license = "CC-BY-NC-4.0"
repository = "https://github.com/4mica-Network/4mica-core"
resolver = "2"

[lib]
name = "sdk_4mica"
path = "src/lib.rs"

[[test]]
name = "auth_session"
path = "tests/auth_session.rs"

[[test]]
name = "contract_error"
path = "tests/contract_error.rs"

[[test]]
name = "guarantee"
path = "tests/guarantee.rs"

[[test]]
name = "http_proxy"
path = "tests/http_proxy.rs"

[[test]]
name = "remunerate"
path = "tests/remunerate.rs"

[[test]]
name = "withdraw"
path = "tests/withdraw.rs"

[[test]]
name = "x402_flow"
path = "tests/x402_flow.rs"

[dependencies.alloy]
version = "2.0.4"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.async-trait]
version = "0.1.86"

[dependencies.base64]
version = "0.22"

[dependencies.crypto]
version = "1.2.0"
package = "crypto-4mica"

[dependencies.log]
version = "0.4.29"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "charset",
    "http2",
    "system-proxy",
]
default-features = false

[dependencies.rpc]
version = "1.2.0"
package = "rpc-4mica"

[dependencies.serde]
version = "1.0.228"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1.0.148"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.52.0"
features = [
    "macros",
    "rt-multi-thread",
    "sync",
    "time",
]

[dependencies.url]
version = "2.5.8"
features = ["serde"]

[dependencies.zeroize]
version = "1.8.2"

[dev-dependencies.alloy-provider]
version = "2.0.4"
features = ["anvil-api"]

[dev-dependencies.axum]
version = "0.8.8"
features = [
    "macros",
    "json",
    "macros",
    "json",
]

[dev-dependencies.chrono]
version = "0.4.44"

[dev-dependencies.dotenv]
version = "0.15.0"

[dev-dependencies.serde_json]
version = "1.0.148"

[dev-dependencies.serial_test]
version = "3.2.0"
features = ["file_locks"]

[dev-dependencies.test-log]
version = "0.2.20"

[dev-dependencies.tokio]
version = "1.52.0"
